QCP Class Reference
Example scripts (models)

Example: Quasigroup completion More...

## Public Types

enum | { PROP_BINARY , PROP_DISTINCT }
| Propagation to use for model. More...
enum | { BRANCH_SIZE , BRANCH_AFC_SIZE , BRANCH_CBS_MAX_SD }
| Branching to use for model. More...

## Public Member Functions

| QCP (const QCPOptions &opt0)
| Actual model.
virtual bool | slave (const MetaInfo &mi)
| Slave function for portfolio search.
| QCP (QCP &s)
| Constructor for cloning s.
virtual Space * | copy (void)
| Copy during cloning.
virtual void | print (std::ostream &os) const
| Print solution.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Protected Attributes

const QCPOptions & | opt
| Options.
const Spec | spec
| Specification.
IntVarArray | e
| Field elements e.
double | tbf
| Tie-breaking factor.

## Related Symbols

(Note that these are not member symbols.)
int | main (int argc, char *argv[])
| Main-function.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Quasigroup completion

Definition at line 142 of file qcp.cpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Propagation to use for model.

Enumerator
PROP_BINARY | Use only binary disequality constraints.
PROP_DISTINCT | Use distinct constraints.

Definition at line 154 of file qcp.cpp.

## anonymous enum

anonymous enum

Branching to use for model.

Enumerator
BRANCH_SIZE | Use smallest domain size first.
BRANCH_AFC_SIZE | Use largest AFC divided by domain size.
BRANCH_CBS_MAX_SD | Use maximum solution density.

Definition at line 159 of file qcp.cpp.

## Constructor & Destructor Documentation

## QCP() [1/2]

QCP::QCP | ( | const QCPOptions & | opt0 | ) |

inline

Actual model.

Definition at line 165 of file qcp.cpp.

## QCP() [2/2]

QCP::QCP | ( | QCP & | s | ) |

inline

Constructor for cloning s.

Definition at line 250 of file qcp.cpp.

## Member Function Documentation

## slave()

virtual bool QCP::slave | ( | const MetaInfo & | mi | ) |

inline virtual

Slave function for portfolio search.

Definition at line 215 of file qcp.cpp.

## copy()

virtual Space * QCP::copy | ( | void |  | ) |

inline virtual

Copy during cloning.

Definition at line 256 of file qcp.cpp.

## print()

virtual void QCP::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution.

Reimplemented from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >.

Definition at line 261 of file qcp.cpp.

## Friends And Related Symbol Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main-function.

Definition at line 281 of file qcp.cpp.

## Member Data Documentation

## opt

const QCPOptions& QCP::opt

protected

Options.

Definition at line 145 of file qcp.cpp.

## spec

const Spec QCP::spec

protected

Specification.

Definition at line 147 of file qcp.cpp.

## e

IntVarArray QCP::e

protected

Field elements e.

Definition at line 149 of file qcp.cpp.

## tbf

double QCP::tbf

protected

Tie-breaking factor.

Definition at line 151 of file qcp.cpp.

The documentation for this class was generated from the following file:

- examples/qcp.cpp